Get Workflow
curl --request GET \
--url https://app.dograh.com/api/v1/workflow/fetch/{workflow_id}{
"id": 123,
"name": "<string>",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"workflow_definition": {},
"current_definition_id": 123,
"template_context_variables": {},
"call_disposition_codes": {
"disposition_codes": []
},
"total_runs": 123,
"workflow_configurations": {},
"version_number": 123,
"version_status": "<string>",
"workflow_uuid": "<string>"
}Agents
Get Agent
Retrieve a single agent by ID, including its full workflow definition
GET
/
api
/
v1
/
workflow
/
fetch
/
{workflow_id}
Get Workflow
curl --request GET \
--url https://app.dograh.com/api/v1/workflow/fetch/{workflow_id}{
"id": 123,
"name": "<string>",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"workflow_definition": {},
"current_definition_id": 123,
"template_context_variables": {},
"call_disposition_codes": {
"disposition_codes": []
},
"total_runs": 123,
"workflow_configurations": {},
"version_number": 123,
"version_status": "<string>",
"workflow_uuid": "<string>"
}Returns the full agent includingDocumentation Index
Fetch the complete documentation index at: https://docs.dograh.com/llms.txt
Use this file to discover all available pages before exploring further.
workflow_definition (nodes and edges), template_context_variables, workflow_configurations, and run statistics.Path Parameters
Response
Successful Response
Show child attributes
Show child attributes
⌘I